From 5540a635f2198c41a26f38a6057bbf146b9291d3 Mon Sep 17 00:00:00 2001
From: Heikki Linnakangas <heikki.linnakangas@iki.fi>
Date: Fri, 28 Feb 2025 16:56:48 +0200
Subject: [PATCH 1/3] Remove unused ShutdownLatchSupport() function

The only caller was removed in commit 80a8f95b3b. I don't foresee
needing it any time soon, and I'm working on some big changes in this
area, so let's remove it out of the way.
---
 src/backend/storage/ipc/latch.c | 27 ---------------------------
 src/include/storage/latch.h     |  1 -
 2 files changed, 28 deletions(-)

diff --git a/src/backend/storage/ipc/latch.c b/src/backend/storage/ipc/latch.c
index 4572684f224..cd09a10f3d1 100644
--- a/src/backend/storage/ipc/latch.c
+++ b/src/backend/storage/ipc/latch.c
@@ -360,33 +360,6 @@ InitializeLatchWaitSet(void)
 	Assert(latch_pos == LatchWaitSetLatchPos);
 }
 
-void
-ShutdownLatchSupport(void)
-{
-#if defined(WAIT_USE_POLL)
-	pqsignal(SIGURG, SIG_IGN);
-#endif
-
-	if (LatchWaitSet)
-	{
-		FreeWaitEventSet(LatchWaitSet);
-		LatchWaitSet = NULL;
-	}
-
-#if defined(WAIT_USE_SELF_PIPE)
-	close(selfpipe_readfd);
-	close(selfpipe_writefd);
-	selfpipe_readfd = -1;
-	selfpipe_writefd = -1;
-	selfpipe_owner_pid = InvalidPid;
-#endif
-
-#if defined(WAIT_USE_SIGNALFD)
-	close(signal_fd);
-	signal_fd = -1;
-#endif
-}
-
 /*
  * Initialize a process-local latch.
  */
diff --git a/src/include/storage/latch.h b/src/include/storage/latch.h
index bf568124df9..66e7a5b7c08 100644
--- a/src/include/storage/latch.h
+++ b/src/include/storage/latch.h
@@ -173,7 +173,6 @@ extern void OwnLatch(Latch *latch);
 extern void DisownLatch(Latch *latch);
 extern void SetLatch(Latch *latch);
 extern void ResetLatch(Latch *latch);
-extern void ShutdownLatchSupport(void);
 
 extern WaitEventSet *CreateWaitEventSet(ResourceOwner resowner, int nevents);
 extern void FreeWaitEventSet(WaitEventSet *set);
-- 
2.39.5

